import { TResponse } from './TResponse';
import { HttpException } from './exceptions';
export declare class Response {
    /**
     * @param {T} data
     * @return {TResponse<T>}
     */
    static success<T extends any = any>(data?: T): TResponse<T>;
    /**
     * @param {HttpException} error
     * @return {TResponse<null>}
     */
    static error(error: HttpException): TResponse<null>;
    /**
     * @param {number} code
     * @param {string} [text]
     * @param {string} [message]
     * @return {TResponse<null>}
     */
    static error(code: number, text?: string, message?: string): TResponse<null>;
}
