"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Response = void 0;
const HttpStatus_1 = require("./HttpStatus");
class Response {
    /**
     * @param {T} data
     * @return {TResponse<T>}
     */
    static success(data) {
        return {
            status: {
                code: HttpStatus_1.HttpStatus.Ok,
                text: 'Ok',
                message: 'Ok'
            },
            response: data
        };
    }
    /**
     * @param {number | HttpException} errorOrCode
     * @param {string} [text]
     * @param {string} [message]
     * @return {TResponse<null>}
     */
    static error(errorOrCode, text, message) {
        return {
            status: {
                code: typeof errorOrCode === 'number' ? errorOrCode : errorOrCode.status,
                text: typeof errorOrCode !== 'number' ? errorOrCode.textStatus : text || '',
                message: message ? message : (typeof errorOrCode !== 'number' ? errorOrCode.message : '')
            }
        };
    }
}
exports.Response = Response;
