"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.error = void 0;
const exceptions_1 = require("../exceptions");
/**
 * @param {HttpException | number} errorOrCode
 * @param {string} [text]
 * @param {string} [message]
 * @return {TResponse<never>}
 */
function error(errorOrCode, text, message) {
    return {
        status: {
            code: errorOrCode instanceof exceptions_1.HttpException ? errorOrCode.status : errorOrCode,
            text: text ? text : (errorOrCode instanceof exceptions_1.HttpException ? errorOrCode.textStatus : ''),
            message: message ? message : (errorOrCode instanceof exceptions_1.HttpException ? errorOrCode.message : '')
        }
    };
}
exports.error = error;
