import {Router} from 'express';
import {IController} from './IController';

export abstract class ControllerBase implements IController{

    public readonly router: Router = Router();

    public initialize(): void|Promise<void>{
        this.onInitializeRoutes();
    }

    protected abstract onInitializeRoutes(): void;

}


