import {HttpStatus} from '../HttpStatus';

export class HttpException extends Error{

    public readonly status: HttpStatus;
    public readonly textStatus: string;

    /**
     * @param {string} message
     * @param {number} status
     * @param {string} textStatus
     */
    constructor(message: string, status: HttpStatus, textStatus: string) {
        super(message);

        this.status = status;
        this.textStatus = textStatus;
    }

}
