import {TResponse} from '../TResponse';
import {HttpStatus} from '../HttpStatus';

/**
 * @param {T} [data]
 * @return {TResponse<T>}
 */
export function success<T extends any = any>(data?: T): TResponse<T>{
    return {
        status: {
            text: 'Ok',
            message: 'Ok',
            code: HttpStatus.Ok
        },
        response: data
    };
}
